classification
Title: xml package does not obey sys.flags.ignore_environment
Type: security Stage: patch review
Components: XML Versions: Python 3.8, Python 3.7, Python 3.6, Python 2.7
process
Status: open Resolution:
Dependencies: Superseder:
Assigned To: Nosy List: christian.heimes, larry, miss-islington, ned.deily, vstinner
Priority: normal Keywords: patch

Created on 2018-09-24 16:47 by christian.heimes, last changed 2019-05-10 18:18 by ned.deily.

Pull Requests
URL Status Linked Edit
PR 9544 merged christian.heimes, 2018-09-24 16:53
PR 9545 merged miss-islington, 2018-09-24 17:21
PR 9546 merged miss-islington, 2018-09-24 17:21
PR 9547 merged miss-islington, 2018-09-24 17:21
PR 11871 merged vstinner, 2019-02-15 12:04
PR 11872 merged vstinner, 2019-02-15 12:04
Messages (8)
msg326267 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2018-09-24 16:47
On two occasions, the xml package uses environment variables to override parser / DOM implementations: xml.sax package and xml.dom.domreg module. On both occasions, the code should not use env vars to override module names, when the interpreter is started with flags like -E or -I.
msg326273 - (view) Author: miss-islington (miss-islington) Date: 2018-09-24 17:21
New changeset 223e501fb9c2b6ae21b96054e20c4c31d94a5d96 by Miss Islington (bot) (Christian Heimes) in branch 'master':
bpo-34791: xml package obeys ignore env flags (GH-9544)
https://github.com/python/cpython/commit/223e501fb9c2b6ae21b96054e20c4c31d94a5d96
msg328072 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-10-19 23:09
New changeset c119d5948f941d2f528dda3f099e196bd6383000 by Victor Stinner (Miss Islington (bot)) in branch '3.7':
bpo-34791: xml package obeys ignore env flags (GH-9544) (GH-9545)
https://github.com/python/cpython/commit/c119d5948f941d2f528dda3f099e196bd6383000
msg328073 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-10-19 23:09
New changeset 5e808f92ea4eb238b17757526b99f97debf7dd57 by Victor Stinner (Miss Islington (bot)) in branch '3.6':
bpo-34791: xml package obeys ignore env flags (GH-9544) (GH-9546)
https://github.com/python/cpython/commit/5e808f92ea4eb238b17757526b99f97debf7dd57
msg328074 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-10-19 23:09
New changeset 2546ac8eeb56fc146adea9a03158440a9271714e by Victor Stinner (Miss Islington (bot)) in branch '2.7':
bpo-34791: xml package obeys ignore env flags (GH-9544) (GH-9547)
https://github.com/python/cpython/commit/2546ac8eeb56fc146adea9a03158440a9271714e
msg328075 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-10-19 23:13
Christian: do you think that this issue is severe enough to justify to backport it to Python 3.4 and 3.5? I don't think so. Python 2.7, 3.6, 3.7 and master (future 3.8) already have been fixed, IMHO it's enough and this issue can be closed.
msg336577 - (view) Author: Larry Hastings (larry) * (Python committer) Date: 2019-02-25 23:32
New changeset 765d333512e9b58da4a4431595a0e81517ef0443 by larryhastings (Victor Stinner) in branch '3.4':
bpo-34791: xml package obeys ignore env flags (GH-9544) (#11872)
https://github.com/python/cpython/commit/765d333512e9b58da4a4431595a0e81517ef0443
msg336592 - (view) Author: Larry Hastings (larry) * (Python committer) Date: 2019-02-26 01:47
New changeset 7cd08cf62086a8a2d84fd825dfcd8bfe33bf1986 by larryhastings (Victor Stinner) in branch '3.5':
bpo-34791: xml package obeys ignore env flags (GH-9544) (#11871)
https://github.com/python/cpython/commit/7cd08cf62086a8a2d84fd825dfcd8bfe33bf1986
History
Date User Action Args
2019-05-10 18:18:16ned.deilysetmessages: - msg342089
2019-05-10 17:36:37ned.deilysetnosy: + ned.deily
messages: + msg342089
2019-02-26 01:47:50larrysetmessages: + msg336592
2019-02-25 23:32:18larrysetnosy: + larry
messages: + msg336577
2019-02-15 12:04:43vstinnersetpull_requests: + pull_request11905
2019-02-15 12:04:03vstinnersetpull_requests: + pull_request11904
2018-10-19 23:13:06vstinnersetmessages: + msg328075
2018-10-19 23:09:39vstinnersetmessages: + msg328074
2018-10-19 23:09:27vstinnersetmessages: + msg328073
2018-10-19 23:09:04vstinnersetmessages: + msg328072
2018-09-24 19:39:30vstinnersetnosy: + vstinner
2018-09-24 17:21:51miss-islingtonsetpull_requests: + pull_request8950
2018-09-24 17:21:38miss-islingtonsetpull_requests: + pull_request8949
2018-09-24 17:21:27miss-islingtonsetpull_requests: + pull_request8948
2018-09-24 17:21:16miss-islingtonsetnosy: + miss-islington
messages: + msg326273
2018-09-24 16:53:09christian.heimessetkeywords: + patch
stage: patch review
pull_requests: + pull_request8946
2018-09-24 16:47:30christian.heimescreate